From: dougAlvs <douglasvestos@gmail.com>
Date: Mon, 27 Jan 2025 10:33:02 -0300
Subject: Change doctest comparison method in cost based venn3


The floating point comparison with ellipsis in this doctest was not reliable. While some coordinates 
were compared with a precision of 1e-6 (-1..), others were compared with a precision of 1e-2 (-0.13..., -0.15... and so on). 
That being said, the comparison method was changed to np.allclose with atol=1e-02, which is a more reliable way.

---
 matplotlib_venn/layout/venn3/cost_based.py | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/matplotlib_venn/layout/venn3/cost_based.py b/matplotlib_venn/layout/venn3/cost_based.py
index 0fed676..5eb3f2a 100644
--- a/matplotlib_venn/layout/venn3/cost_based.py
+++ b/matplotlib_venn/layout/venn3/cost_based.py
@@ -253,10 +253,10 @@ class LayoutAlgorithm(VennLayoutAlgorithm):
 
     >>> alg = LayoutAlgorithm()
     >>> layout = alg((1,1,1,1,1,1,1), ("A", "B", "C"))
-    >>> layout.centers
-    [Point2D(-0.13..., 0.07...), Point2D(0.13..., 0.077...), Point2D(-1..., -0.15...)]
-    >>> layout.radii
-    [0.42..., 0.42..., 0.42...]
+    >>> np.allclose([c.asarray() for c in layout.centers], [[-0.13, 0.07], [0.13, 0.077], [-1e-6, -0.15]], atol=1e-02)
+    True
+    >>> np.allclose(layout.radii, [0.42, 0.42, 0.42], atol=1e-02)
+    True
     """
 
     def __init__(self, cost_fn: Optional[CostFunction] = None, fallback: bool = True):
